aboutsummaryrefslogtreecommitdiff
path: root/etc/gspell
diff options
context:
space:
mode:
authorJohn Ankarström <john@ankarstrom.se>2021-07-12 13:24:49 +0200
committerJohn Ankarström <john@ankarstrom.se>2021-07-12 13:27:07 +0200
commit03d827e2fbc409ef97829f25b8eeca5204f81a3c (patch)
tree6099f0feb9adf3425fba87549b164043e18bd0c7 /etc/gspell
parent45cddd072119c5abd7ec076cf28d51ee01f125b7 (diff)
downloadxutil-03d827e2fbc409ef97829f25b8eeca5204f81a3c.tar.gz
Re-organize files
Diffstat (limited to 'etc/gspell')
-rwxr-xr-xetc/gspell18
1 files changed, 18 insertions, 0 deletions
diff --git a/etc/gspell b/etc/gspell
new file mode 100755
index 0000000..e931f3c
--- /dev/null
+++ b/etc/gspell
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# gspell -- print locations of spelling errors in file
+
+f=`mktemp`
+if [ $# -eq 0 ]; then
+ g=`mktemp`
+ cat > $g
+ set -- $g
+fi
+
+spell "$@" > $f
+fgrep -Hnof $f "$@" |
+awk -F: 'NF > 2 { print $0; prefix = $1 ":" $2 ":"; next } { print prefix $0 }'
+s=$?
+rm $f
+rm $g 2>/dev/null
+exit $s